Page MenuHomePhabricator

Add unit test for StringLexer
ClosedPublic

Authored by teemperor on Aug 4 2018, 2:23 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

teemperor created this revision.Aug 4 2018, 2:23 PM
jloser added a subscriber: jloser.Aug 4 2018, 3:00 PM
jloser added inline comments.
unittests/Utility/StringLexerTest.cpp
25 ↗(On Diff #159191)

Nit: typo in the test case name.

teemperor updated this revision to Diff 159193.Aug 4 2018, 3:02 PM
  • Fixed typo (Thanks Joe!)
teemperor added a reviewer: Restricted Project.Aug 21 2018, 2:44 PM
teemperor marked an inline comment as done.
labath accepted this revision.Aug 22 2018, 12:03 PM

This is another one of classes we should probably get rid of (it looks like all of this functionality is available in StringRef), but while we have it, it might as well be tested.

This revision is now accepted and ready to land.Aug 22 2018, 12:03 PM
This revision was automatically updated to reflect the committed changes.

This is another one of classes we should probably get rid of (it looks like all of this functionality is available in StringRef)

Late +1. Usage in FormattersContainer.h should be easy to replace. Apart form that it could be an implementation detail of AppleObjCTypeEncodingParser.